<?php
header('Content-Type: text/html; charset=utf-8');

// show_source(__FILE__); // <- IMPORTANT REMOVE THIS LINE/CODE or everybody can see your code!!!

include ('DBcon.php');
// in DBcon.php:
// $db_hostname = "**************";
// $db_database = "**************";
// $db_username = "**************";
// $db_password = "**************";

    $mysqli = new mysqli($db_hostname, $db_username, $db_password, $db_database);
        
    if (mysqli_connect_errno())
    {
        echo 'error';
        exit();
    }

    $status = 'active';
    $temp   = 'deleted'; // Just to show deleted items

    $mysqli->set_charset("utf8mb4");    

    $stmt = $mysqli->prepare("SELECT gamerID as gamerID, name as name, birthdate as birthdate, status as status
        FROM gamers
        WHERE status = ? OR status = ?");
    $stmt->bind_param("ss", $status, $temp);
    $stmt->execute();
    $result = $stmt->get_result();
    if($result->num_rows === 0) exit('norecords');
    while($row = $result->fetch_assoc()) {
        
         $gamers[] = array(
          'gamerID'   => $row['gamerID'],
          'name'      => $row['name'],
          'birthdate' => $row['birthdate'],
          'status'    => $row['status']
         );
    }
    echo json_encode($gamers);
    $stmt->close();
?>