routes = [
  {
    path: '/index/',
    url: 'index.html',
    options: {
      animate: false,
      ignoreCache: true,
      force: true,
    },
  },
  {
    name: 'gamers',
    path: '/gamers/',
    componentUrl: './pages/gamers.html',
    options: {
      animate: false,
      ignoreCache: true,
      force: true,
    },
  },
  {
    name: 'getGamerinfo',
    path: '/getGamerinfo/:gamerID/',
    componentUrl: './pages/getGamerinfo.html',
    options: {
      animate: false,
      ignoreCache: true,
      force: true,
    },
  },
  {
    name: 'editGamer',
    path: '/editGamer/:gamerID/',
    componentUrl: './pages/editGamer.html',
    options: {
      animate: false,
      ignoreCache: true,
      force: true,
    },
  },

  {
    name: 'testpage',
    path: '/testpage/',
    componentUrl: './pages/testpage.html',
    options: {
      animate: false,
      ignoreCache: true,
      force: true,
    },
  },

  // Left panel
  {
    path: '/left-panel/',
    panel: {
      url: './left-panel.html',
    },
  },

  // nifty
  {
    name: 'resetpassword',
    path: '/resetpassword/:email/',
    componentUrl: './pages/resetpassword.php?email={{email}}',
  },
]